Bug 846406 - virDomainReset not implemented with ESX
virDomainReset not implemented with ESX
Status: CLOSED DEFERRED
Product: Virtualization Tools
Classification: Community
Component: libvirt (Show other bugs)
unspecified
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Libvirt Maintainers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 12:58 EDT by cohoe
Modified: 2016-04-26 12:39 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-23 18:35:52 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cohoe 2012-08-07 12:58:04 EDT
Description of problem:
Attempting to "reset" (virDomainReset) a VM on an ESX host returns: "error: this function is not supported by the connection driver: virDomainReset"

Version-Release number of selected component (if applicable):
Compiled against library: libvir 0.9.10
Using library: libvir 0.9.10
Using API: ESX 0.9.10
Running hypervisor: ESX 5.0.0

How reproducible:
Always

Steps to Reproduce:
1. Connect to ESXi host with virsh (esx://root@MYSERVERNAME?no_verify=1
2. Issue reset command 'reset Test01'
  
Actual results:
error: Failed to reset domain Test01
error: this function is not supported by the connection driver: virDomainReset

Expected results:
Domain Test01 reset

Additional info:
Error shows up in both virsh and the Python API bindings.
Comment 1 cohoe 2012-08-09 09:07:43 EDT
This also affects library/API 0.9.13
Comment 2 Dave Allan 2012-08-09 10:02:32 EDT
I think your best bet for getting this functionality is to submit patches upstream, and I'm sure people will work with you to get them accepted.
Comment 3 Cole Robinson 2016-03-23 18:35:52 EDT
Agreed with dave, tracking this in bugzilla isn't going to generate any results. There's many unimplemented APIs across the drivers. Closing as DEFERRED; someone just needs to provide a patch

Note You need to log in before you can comment on or make changes to this bug.